Bug 451180 - No display backlight when resuming eeepc from sleep
No display backlight when resuming eeepc from sleep
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraMini/Mobility
  Show dependency treegraph
 
Reported: 2008-06-13 04:39 EDT by Carlo Raudino
Modified: 2015-03-04 20:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-14 06:49:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlo Raudino 2008-06-13 04:39:15 EDT
Description of problem: Resuming eeePC 701 from sleep, results in no
backlight... for getting light back, you need to press FN+F4 (backlight
controls) and brightness come back


Version-Release number of selected component (if applicable):
fedora 9 full updated


  
Actual results:
We got it working, with this workaround:
http://fedoraproject.org/wiki/EeePc#No_backlight_on_resume_from_suspend_FIX

This works for the eeepc701. But doesn't work in eeepc901. In this last one, the
user must HARD RESET.... no way to resume backlight.

Expected results:
Display brightness resuming, without tweaks
Comment 1 Richard Hughes 2008-06-13 06:01:34 EDT
Have you tried "pm-suspend --quirk-reset-brightness" ?
Comment 2 Carlo Raudino 2008-06-13 06:15:34 EDT
Tried now in my eeepc 701:

using pm-suspend --quirk-reset-brightness

at resume I have brightness at 125 % (it's brighter than usual maximum) , and I
can't change the brightness using Fn keys (they usually work directly, also
while loading OS)

cat /sys/devices/platform/eeepc/brn
0

(wrong value...)

It would be nice to test this command in eeepc 900/901, that can't resume with
the lamer workaround (reading value and setting it)

Any idea?
Comment 3 Richard Hughes 2008-06-13 07:19:14 EDT
>cat /sys/devices/platform/eeepc/brn

Why isn't the kernel using a standard brightness class?

Does xbacklight also change the brightness on this PC?
Comment 4 Carlo Raudino 2008-06-13 08:00:06 EDT
how to try it? can you tell what to do, to test it out?

ps gnome-power-management seems to not see the "brightness"..... I remember with
other distributions, it was able to change brightness...for example, with pc
idle....
Comment 5 Bastien Nocera 2008-06-13 14:30:09 EDT
xbacklight isn't shipped by default, it's available here:
http://xorg.freedesktop.org/archive/individual/app/xbacklight-1.0.tar.bz2

This uses the X.org driver to set the brightness, and not any kernel bits. Try
it out in X, and see if it allows the brightness to change again after a resume.
Comment 6 Carlo Raudino 2008-06-13 15:00:23 EDT
I disabled my workaround (so, stock 99video)

suspended using: pm-suspend --quirk-reset-brightness

Resumed (brightness 125 %....)

xbacklight, gives me  "100%" value

I setted with xbacklight, 50 %..... no change.... but xbacklight reports 50 %..


strange... it's like a "broken" link between hardware and software....
Comment 7 Carlo Raudino 2008-06-13 15:07:45 EDT
Now (rebooted) I tried:

stock 99video script
NORMAL SUSPEND (without --quirk-reset-brightness)

after resume (black screen....resumed pressinf Fn+F4)

xbacklight: 100 %

xbacklight -set 50 ........worked faded to 50 % brightness.

so: with stock fedora, and pressing fn+f4 , xbacklight WORKS.
using quirk-reset-brightness, xbacklight doesn't work.
Comment 8 Carlo Raudino 2008-06-14 06:49:23 EDT
GREAT, kernel-2.6.26-0.67.rc6.git1  FIXES THIS PROBLEM!

I tried, and backlight is correctly resumed.

After, I tried the "stable" kernel, and backlight doesn't work (obviously) with
it. So kernel 2.6.26 has a working resume from suspend for brightness.

Let's wait this kernel, it takes fresh air to my netbook :)

Note You need to log in before you can comment on or make changes to this bug.